Skip to main content
GET
/
api
/
v1
/
targets
/
timestamp
Price at a specific timestamp
curl --request GET \
  --url https://api.vatic.trading/api/v1/targets/timestamp
{
  "now": "2025-04-07T12:00:00.000Z",
  "asset": "btc",
  "marketType": "5min",
  "provider": "chainlink",
  "requestedTimestamp": 1744027500,
  "requestedTimestampIso": "2025-04-07T12:05:00.000Z",
  "source": "chainlink",
  "price": 82450.75,
  "_cache": {
    "hit": false,
    "windowStart": 1744027500,
    "ageSec": 3
  }
}

Query Parameters

asset
enum<string>
required
Available options:
btc,
eth,
sol,
xrp,
hype,
doge,
bnb
type
enum<string>
required

Market interval type.

Available options:
5min,
15min,
1hour,
4hour,
daily
timestamp
integer
required

Unix timestamp (seconds). Any timestamp within the target window works.

Example:

1744027500

Response

Price for the requested window